.chat-message[data-message-id] {
	&.koboldworks {
		&.turn-announcer {
			//margin: 0;
			border: none;

			.text {
				margin-left: 3px;
				/* DEPRECATED */
				flex: 4 0 4em;
			}

			.portrait {
				/* DEPRECATED */
				flex: 0 0 48px;
				height: 48px;
				width: 48px;
			}

			h2.actor {
				/* DEPRECATED */
				font-size: 1.2em;
				margin-bottom: 3px;
			}

			.player {
				/* DEPRECATED */
				margin: 0;
			}

			&.whisper {
				background-color: #863b3b;
				border-color: #d2982d;
			}

			.message-delete {
				flex: 0;
				margin-right: 1px;
			}

			&.obfuscated {
				background: #c7baba;
			}

			&.compact {
				> .message-header {
					display: none;
				}
			}
		}

		&.missed-turn-announcer {
			display: block;
			flex-direction: row;
			flex: 5 0.5 8em;

			background: unset;
			background-color: #9a1818;
			border-color: orange;
			padding: 3px 5px;
			line-height: 1em;

			white-space: nowrap;
			$msgOutline: black;
			$msgOutline2: orange;
			$msgOutline3: yellow;

			.message-metadata {
				flex: 0;
				text-shadow:
					$msgOutline2 -1px -1px 0,
					$msgOutline2 1px -1px 0,
					$msgOutline2 -1px 1px 0,
					$msgOutline2 1px 1px 0;
			}

			header {
				flex-flow: row nowrap;
				gap: 3px;

				> .missed-token {
					text-shadow:
						$msgOutline -1px -1px 0,
						$msgOutline 1px -1px 0,
						$msgOutline -1px 1px 0,
						$msgOutline 1px 1px 0;
					/*
					-webkit-text-stroke-width: 1px;
					-webkit-text-stroke-color: rgba(0, 0, 0, 0.5);
					*/
					color: white;
					text-align: center;
					font-size: 12px;

					align-self: center;

					overflow: hidden;
					display: flex nowrap;
					gap: 3px;

					> .missed-turn-name {
						flex: 0;
						overflow: hidden;
						text-overflow: ellipsis;
					}
				}
			}
		}

		&.round-cycling {
			//margin: 3px 2px;
			//background: goldenrod;
			//background-color: #ff9f7c;
			.message-header {
				align-items: center;
				line-height: unset;
			}
			h3.round-message {
				margin: 0;
				text-align: left;
				color: black;
				display: inline-flex;
				align-items: center;
				gap: 0.5em;
				border: unset;
			}
			.message-metadata {
				flex: 0;
				white-space: nowrap;
			}
		}
	}
}
